# Interface methods for submodule: MeanReciprocalSquareDifferenceImageToImageMetric
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToImageMetricProxy as _ImageToImageMetricProxy


# Interface methods for class: MeanReciprocalSquareDifferenceImageToImageMetric
class MeanReciprocalSquareDifferenceImageToImageMetricProxy(_ImageToImageMetricProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def GetDerivative(self, parameters, derivative: Sequence[float]) -> None:
		""""""
		...

	def GetValue(self, parameters) -> float:
		""""""
		...

	def GetValueAndDerivative(self, parameters, Value: float, Derivative: Sequence[float]) -> None:
		""""""
		...

	def GetLambda(self) -> float:
		""""""
		...

	def SetLambda(self, _arg: float) -> None:
		""""""
		...

	def GetDelta(self) -> float:
		""""""
		...

	def SetDelta(self, _arg: float) -> None:
		""""""
		...

